Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class ForwardingHandler.ForwardingAction

    java.lang.Object
      ix.ip2.HandlerAction
          ix.ip2.ForwardingHandler.ForwardingAction

Direct Known Subclasses:
  InvokeHandler.InvokeAction

Enclosing class:
  ForwardingHandler

     class ForwardingHandler.ForwardingAction

extends HandlerAction

Forwards an issue or activity to another agent.

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.HandlerAction
`HandlerAction.Automatic, HandlerAction.AutomaticWhenBound, HandlerAction.Manual, HandlerAction.NoAction, HandlerAction.NotApplicable`

Field Summary
`(package private) AgendaItem` | `item`
`(package private) VerbCapability` | `requiredCapability`
`(package private) java.lang.String` | `toName`

Fields inherited from class ix.ip2.HandlerAction
`shortDescription`

Constructor Summary
`ForwardingHandler.ForwardingAction(java.lang.String toName, AgendaItem item)`

Method Summary
`void` | `handle(AgendaItem item)` Handle the item in the manner appropriate to this handler-action.
`boolean` | `isStillValid()` Called when something has happened that might mean this action no longer makes sense and should be deleted.

Methods inherited from class ix.ip2.HandlerAction
`canAlwaysBeTakenNow, computeStatus, getActionDescription, getUnreadyReason, isReady, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### toName

    java.lang.String toName

### item

    AgendaItem item

### requiredCapability

    VerbCapability requiredCapability

Constructor Detail

### ForwardingHandler.ForwardingAction

    ForwardingHandler.ForwardingAction(java.lang.String toName,
                                       AgendaItem item)

Method Detail

### handle

    public void handle(AgendaItem item)

  Description copied from class: `HandlerAction`
  Handle the item in the manner appropriate to this handler-action. The method in the HandlerAction class merely changes the item's status to COMPLETE and is overridden in subclasses that handle the item in more interesting ways.

  Overrides:
    `handle` in class `HandlerAction`

### isStillValid

    public boolean isStillValid()

  Description copied from class: `HandlerAction`
  Called when something has happened that might mean this action no longer makes sense and should be deleted. The method in the HandlerAction class just returns true and is overridden in subclasses that have instances that may cease to be valid.

  Typically, this method is called as a consequence of an `ItemHandler` calling the controllers's checkActionValidity method.

  Overrides:
    `isStillValid` in class `HandlerAction`
  See Also:
    `PanelController.checkActionValidity(ItemHandler handler, Object reason)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD